Update a Tribute
curl --request PUT \
--url https://api.virtuoussoftware.com/api/Tribute/{tributeId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tributeType": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"address1": "<string>",
"address2": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"contactIndividualId": "<integer>",
"defaultAcknowledgeeIndividualId": "<integer>"
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
tributeType: '<string>',
firstName: '<string>',
lastName: '<string>',
address1: '<string>',
address2: '<string>',
city: '<string>',
state: '<string>',
postalCode: '<string>',
contactIndividualId: '<integer>',
defaultAcknowledgeeIndividualId: '<integer>'
})
};
fetch('https://api.virtuoussoftware.com/api/Tribute/{tributeId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/Tribute/{tributeId}"
payload = {
"tributeType": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"address1": "<string>",
"address2": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"contactIndividualId": "<integer>",
"defaultAcknowledgeeIndividualId": "<integer>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/Tribute/{tributeId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"tributeType\": \"<string>\",\n \"firstName\": \"<string>\",\n \"lastName\": \"<string>\",\n \"address1\": \"<string>\",\n \"address2\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"postalCode\": \"<string>\",\n \"contactIndividualId\": \"<integer>\",\n \"defaultAcknowledgeeIndividualId\": \"<integer>\"\n}", false);
var response = await client.PutAsync(request);
Console.WriteLine("{0}", response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.virtuoussoftware.com/api/Tribute/{tributeId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'tributeType' => '<string>',
'firstName' => '<string>',
'lastName' => '<string>',
'address1' => '<string>',
'address2' => '<string>',
'city' => '<string>',
'state' => '<string>',
'postalCode' => '<string>',
'contactIndividualId' => '<integer>',
'defaultAcknowledgeeIndividualId' => '<integer>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.put("https://api.virtuoussoftware.com/api/Tribute/{tributeId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"tributeType\": \"<string>\",\n \"firstName\": \"<string>\",\n \"lastName\": \"<string>\",\n \"address1\": \"<string>\",\n \"address2\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"postalCode\": \"<string>\",\n \"contactIndividualId\": \"<integer>\",\n \"defaultAcknowledgeeIndividualId\": \"<integer>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.virtuoussoftware.com/api/Tribute/{tributeId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"tributeType\": \"<string>\",\n \"firstName\": \"<string>\",\n \"lastName\": \"<string>\",\n \"address1\": \"<string>\",\n \"address2\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"postalCode\": \"<string>\",\n \"contactIndividualId\": \"<integer>\",\n \"defaultAcknowledgeeIndividualId\": \"<integer>\"\n}"
response = http.request(request)
puts response.read_bodyconst url = 'https://api.virtuoussoftware.com/api/Tribute/{tributeId}';
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
tributeType: '<string>',
firstName: '<string>',
lastName: '<string>',
address1: '<string>',
address2: '<string>',
city: '<string>',
state: '<string>',
postalCode: '<string>',
contactIndividualId: '<integer>',
defaultAcknowledgeeIndividualId: '<integer>'
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"id": 750001,
"tributeType": "In Honor Of",
"firstName": "Marcus",
"lastName": "Castellano",
"address1": "219 Oak Hill Drive",
"address2": null,
"city": "Springfield",
"state": "OR",
"postalCode": "97478",
"contactIndividualId": 200123,
"contactIndividualUrl": "https://api.virtuoussoftware.com/api/ContactIndividual/200123",
"defaultAcknowledgeeIndividualId": 200234,
"defaultAcknowledgeeIndividualUrl": "https://api.virtuoussoftware.com/api/ContactIndividual/200234",
"createDateTimeUtc": "2025-09-01T10:00:00Z",
"createdByUser": "Development Team",
"modifiedDateTimeUtc": "2025-11-15T17:10:00Z",
"modifiedByUser": "Partner Integration"
}{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Contacts and Individuals
Update a Tribute
Similar to other update methods in the API, excluding a property will remove its value from the object. If you’re only updating a single property, the entire model is still required.
PUT
/
api
/
Tribute
/
{tributeId}
Update a Tribute
curl --request PUT \
--url https://api.virtuoussoftware.com/api/Tribute/{tributeId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tributeType": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"address1": "<string>",
"address2": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"contactIndividualId": "<integer>",
"defaultAcknowledgeeIndividualId": "<integer>"
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
tributeType: '<string>',
firstName: '<string>',
lastName: '<string>',
address1: '<string>',
address2: '<string>',
city: '<string>',
state: '<string>',
postalCode: '<string>',
contactIndividualId: '<integer>',
defaultAcknowledgeeIndividualId: '<integer>'
})
};
fetch('https://api.virtuoussoftware.com/api/Tribute/{tributeId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/Tribute/{tributeId}"
payload = {
"tributeType": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"address1": "<string>",
"address2": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"contactIndividualId": "<integer>",
"defaultAcknowledgeeIndividualId": "<integer>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/Tribute/{tributeId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"tributeType\": \"<string>\",\n \"firstName\": \"<string>\",\n \"lastName\": \"<string>\",\n \"address1\": \"<string>\",\n \"address2\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"postalCode\": \"<string>\",\n \"contactIndividualId\": \"<integer>\",\n \"defaultAcknowledgeeIndividualId\": \"<integer>\"\n}", false);
var response = await client.PutAsync(request);
Console.WriteLine("{0}", response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.virtuoussoftware.com/api/Tribute/{tributeId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'tributeType' => '<string>',
'firstName' => '<string>',
'lastName' => '<string>',
'address1' => '<string>',
'address2' => '<string>',
'city' => '<string>',
'state' => '<string>',
'postalCode' => '<string>',
'contactIndividualId' => '<integer>',
'defaultAcknowledgeeIndividualId' => '<integer>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.put("https://api.virtuoussoftware.com/api/Tribute/{tributeId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"tributeType\": \"<string>\",\n \"firstName\": \"<string>\",\n \"lastName\": \"<string>\",\n \"address1\": \"<string>\",\n \"address2\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"postalCode\": \"<string>\",\n \"contactIndividualId\": \"<integer>\",\n \"defaultAcknowledgeeIndividualId\": \"<integer>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.virtuoussoftware.com/api/Tribute/{tributeId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"tributeType\": \"<string>\",\n \"firstName\": \"<string>\",\n \"lastName\": \"<string>\",\n \"address1\": \"<string>\",\n \"address2\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"postalCode\": \"<string>\",\n \"contactIndividualId\": \"<integer>\",\n \"defaultAcknowledgeeIndividualId\": \"<integer>\"\n}"
response = http.request(request)
puts response.read_bodyconst url = 'https://api.virtuoussoftware.com/api/Tribute/{tributeId}';
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
tributeType: '<string>',
firstName: '<string>',
lastName: '<string>',
address1: '<string>',
address2: '<string>',
city: '<string>',
state: '<string>',
postalCode: '<string>',
contactIndividualId: '<integer>',
defaultAcknowledgeeIndividualId: '<integer>'
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"id": 750001,
"tributeType": "In Honor Of",
"firstName": "Marcus",
"lastName": "Castellano",
"address1": "219 Oak Hill Drive",
"address2": null,
"city": "Springfield",
"state": "OR",
"postalCode": "97478",
"contactIndividualId": 200123,
"contactIndividualUrl": "https://api.virtuoussoftware.com/api/ContactIndividual/200123",
"defaultAcknowledgeeIndividualId": 200234,
"defaultAcknowledgeeIndividualUrl": "https://api.virtuoussoftware.com/api/ContactIndividual/200234",
"createDateTimeUtc": "2025-09-01T10:00:00Z",
"createdByUser": "Development Team",
"modifiedDateTimeUtc": "2025-11-15T17:10:00Z",
"modifiedByUser": "Partner Integration"
}{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Authorizations
Body
application/json
Response
OK
Was this page helpful?